package com.sinosig.core.module.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;

/**
 * 实体[客户]
 */
public class CUSTOMER implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 客户类型 属性
     */
    private String Khlx;

    @JsonIgnore
    private boolean KhlxDirtyFlag;

    /**
     * 证件类型 属性
     */
    private String Zjlx;

    @JsonIgnore
    private boolean ZjlxDirtyFlag;

    /**
     * 客户标识 属性
     */
    private String CUSTOMERId;

    @JsonIgnore
    private boolean CUSTOMERIdDirtyFlag;

    /**
     * 更新人 属性
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;

    /**
     * 建立时间 属性
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;

    /**
     * 性别 属性
     */
    private String Xb;

    @JsonIgnore
    private boolean XbDirtyFlag;

    /**
     * 客户名称 属性
     */
    private String CUSTOMERName;

    @JsonIgnore
    private boolean CUSTOMERNameDirtyFlag;

    /**
     * 建立人 属性
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;

    /**
     * 出生年月 属性
     */
    private Timestamp Csny;

    @JsonIgnore
    private boolean CsnyDirtyFlag;

    /**
     * 证件号码 属性
     */
    private String Zjhm;

    @JsonIgnore
    private boolean ZjhmDirtyFlag;

    /**
     * 更新时间 属性
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 年龄 属性
     */
    private Integer Nl;

    @JsonIgnore
    private boolean NlDirtyFlag;

    /**
     * 车险单标识 属性
     */
    private String CIDId;

    @JsonIgnore
    private boolean CIDIdDirtyFlag;


    /**
     * 获取 [客户类型]
     */
    public String getKhlx(){
        return Khlx ;
    }

    /**
     * 设置 [客户类型]
     */
    public void setKhlx(String  khlx){
        this.Khlx = khlx ;
        this.KhlxDirtyFlag = true ;
    }

    /**
     * 获取 [客户类型]脏标记
     */
    @JsonIgnore
    public boolean getKhlxDirtyFlag(){
        return KhlxDirtyFlag ;
    }
    /**
     * 获取 [证件类型]
     */
    public String getZjlx(){
        return Zjlx ;
    }

    /**
     * 设置 [证件类型]
     */
    public void setZjlx(String  zjlx){
        this.Zjlx = zjlx ;
        this.ZjlxDirtyFlag = true ;
    }

    /**
     * 获取 [证件类型]脏标记
     */
    @JsonIgnore
    public boolean getZjlxDirtyFlag(){
        return ZjlxDirtyFlag ;
    }
    /**
     * 获取 [客户标识]
     */
    public String getCUSTOMERId(){
        return CUSTOMERId ;
    }

    /**
     * 设置 [客户标识]
     */
    public void setCUSTOMERId(String  cUSTOMERId){
        this.CUSTOMERId = cUSTOMERId ;
        this.CUSTOMERIdDirtyFlag = true ;
    }

    /**
     * 获取 [客户标识]脏标记
     */
    @JsonIgnore
    public boolean getCUSTOMERIdDirtyFlag(){
        return CUSTOMERIdDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }
    /**
     * 获取 [性别]
     */
    public String getXb(){
        return Xb ;
    }

    /**
     * 设置 [性别]
     */
    public void setXb(String  xb){
        this.Xb = xb ;
        this.XbDirtyFlag = true ;
    }

    /**
     * 获取 [性别]脏标记
     */
    @JsonIgnore
    public boolean getXbDirtyFlag(){
        return XbDirtyFlag ;
    }
    /**
     * 获取 [客户名称]
     */
    public String getCUSTOMERName(){
        return CUSTOMERName ;
    }

    /**
     * 设置 [客户名称]
     */
    public void setCUSTOMERName(String  cUSTOMERName){
        this.CUSTOMERName = cUSTOMERName ;
        this.CUSTOMERNameDirtyFlag = true ;
    }

    /**
     * 获取 [客户名称]脏标记
     */
    @JsonIgnore
    public boolean getCUSTOMERNameDirtyFlag(){
        return CUSTOMERNameDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [出生年月]
     */
    public Timestamp getCsny(){
        return Csny ;
    }

    /**
     * 设置 [出生年月]
     */
    public void setCsny(Timestamp  csny){
        this.Csny = csny ;
        this.CsnyDirtyFlag = true ;
    }

    /**
     * 获取 [出生年月]脏标记
     */
    @JsonIgnore
    public boolean getCsnyDirtyFlag(){
        return CsnyDirtyFlag ;
    }
    /**
     * 获取 [证件号码]
     */
    public String getZjhm(){
        return Zjhm ;
    }

    /**
     * 设置 [证件号码]
     */
    public void setZjhm(String  zjhm){
        this.Zjhm = zjhm ;
        this.ZjhmDirtyFlag = true ;
    }

    /**
     * 获取 [证件号码]脏标记
     */
    @JsonIgnore
    public boolean getZjhmDirtyFlag(){
        return ZjhmDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [年龄]
     */
    public Integer getNl(){
        return Nl ;
    }

    /**
     * 设置 [年龄]
     */
    public void setNl(Integer  nl){
        this.Nl = nl ;
        this.NlDirtyFlag = true ;
    }

    /**
     * 获取 [年龄]脏标记
     */
    @JsonIgnore
    public boolean getNlDirtyFlag(){
        return NlDirtyFlag ;
    }
    /**
     * 获取 [车险单标识]
     */
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }

    /**
     * 获取 [车险单标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return CIDIdDirtyFlag ;
    }
}

